<?php
$nameus=text($_SESSION["username"]);

if (strpos($_SERVER['PHP_SELF'], 'index.php' ) !== false) { $urlpage='Главная страница'; $men_act[0] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'forum.php' ) !== false) { $urlpage='Форум'; $men_act[32] = "acte"; $men_act[50] = "class='active'"; }
if (strpos($_SERVER['PHP_SELF'], 'top20.php' ) !== false) { $urlpage='Топ 20 лучших пользователей'; }
if (strpos($_SERVER['PHP_SELF'], 'ball_reyt.php' ) !== false) { $urlpage='Карьерный рост'; $men_act[21] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'register_wm.php' ) !== false) { $urlpage='Регистрация WebMoney'; $men_act[2] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'register_liq.php' ) !== false) { $urlpage='Регистрация LiqPay'; $men_act[2] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'forum1.php' ) !== false) { $urlpage='Темы форума'; $men_act[50] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'forum2.php' ) !== false) { $urlpage='Просмотр темы форума'; $men_act[50] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'forum3.php' ) !== false) { $urlpage='Создание темы на форуме'; $men_act[50] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'forum4.php' ) !== false) { $urlpage='Ответ в теме на форуме'; $men_act[50] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'forum5.php' ) !== false) { $urlpage='Цитирование в теме на форуме'; $men_act[50] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'support.php' ) !== false) { $urlpage='Тех.Поддержка'; }
if (strpos($_SERVER['PHP_SELF'], 'mailread.php' ) !== false) { $urlpage='Внутрнении письма'; }
if (strpos($_SERVER['PHP_SELF'], 'auc.php' ) !== false) { $urlpage='Аукцион рефералов'; }
if (strpos($_SERVER['PHP_SELF'], 'copilca.php' ) !== false) { $urlpage='Копилка сайта'; $men_act[34] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'add_auc.php' ) !== false) { $urlpage='Создание лота на аукционе рефералов'; }
if (strpos($_SERVER['PHP_SELF'], 'pravila_auc.php' ) !== false) { $urlpage='Правила аукциона'; }
if (strpos($_SERVER['PHP_SELF'], 'cr_moneyforadv.php' ) !== false) { $urlpage='Заказ рекламы с рекламного счета'; $men_act[36] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'wall.php' ) !== false) { $urlpage='Стена пользователя'; }
if (strpos($_SERVER['PHP_SELF'], '404.php' ) !== false) { $urlpage='Ошибка 404!'; }
if (strpos($_SERVER['PHP_SELF'], 'mail_ref.php' ) !== false) { $urlpage='Рассылка рефералам'; $men_act[25] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'referal_kon.php' ) !== false) { $urlpage='Конкурсы от реферала'; $men_act[26] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'refer_kon.php' ) !== false) { $urlpage='Конкурсы для рефералов'; $men_act[27] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'add_kon_ref.php' ) !== false) { $urlpage='Создание конкурса для рефералов'; }
if (strpos($_SERVER['PHP_SELF'], 'convert_cr.php' ) !== false) { $urlpage='Перенаправление средств!'; $men_act[13] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'still_kab.php' ) !== false) { $urlpage='Кабинет рекламодателя'; $men_act[7] = "class='active'"; $men_act[37] = "acte";}
if (strpos($_SERVER['PHP_SELF'], '403.php' ) !== false) { $urlpage='Ошибка 403!'; }
if (strpos($_SERVER['PHP_SELF'], 'add_auto.php' ) !== false) { $urlpage='Заказ рекламы в АвтоСерфинге'; }
if (strpos($_SERVER['PHP_SELF'], 'wiews_sites.php' ) !== false) { $urlpage='<font color=green>Просмотр рекламы</font>'; $men_act[1] = "class='active'";$men_act[11] = "acte";}
if (strpos($_SERVER['PHP_SELF'], 'autoserfing.php' ) !== false) { $urlpage='<font color=green>АвтоСерфинг</font>'; $men_act[16] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'finset.php' ) !== false) { $urlpage='Финансовая сеть'; }
if (strpos($_SERVER['PHP_SELF'], 'block_user.php' ) !== false) { $urlpage='Попался на Автокликер'; }
if (strpos($_SERVER['PHP_SELF'], 'bonus.php' ) !== false) { $urlpage='Бонусы'; }
if (strpos($_SERVER['PHP_SELF'], 'games.php' ) !== false) { $urlpage='Мир Игр'; }
if (strpos($_SERVER['PHP_SELF'], 'Уведомление о рисках' ) !== false) { $urlpage='Создание сайтов'; $men_act[8] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'blacklist.php' ) !== false) { $urlpage='Черный Список'; }
if (strpos($_SERVER['PHP_SELF'], 'mail_text.php' ) !== false) { $urlpage='Платные письма'; $men_act[15] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'colilca.php' ) !== false) { $urlpage='Копилка сайта'; }
if (strpos($_SERVER['PHP_SELF'], 'users_yesterday.php' ) !== false) { $urlpage='Вчера новых'; }
if (strpos($_SERVER['PHP_SELF'], 'people_chat.php' ) !== false) { $urlpage='Чат'; $men_act[33] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'h_balans.php' ) !== false) { $urlpage='История пополнений баланса'; }
if (strpos($_SERVER['PHP_SELF'], 'refbuck_administration.php' ) !== false) { $urlpage='Реф.Бэк от Админа'; $men_act[35] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'banners100x100.php' ) !== false) { $urlpage='Всего баннеров 100x100'; }
if (strpos($_SERVER['PHP_SELF'], 'banners.php' ) !== false) { $urlpage='Всего баннеров 468x60'; }
if (strpos($_SERVER['PHP_SELF'], 'bannersclick.php' ) !== false) { $urlpage='Всего баннеров 468x60 кликовых'; }
if (strpos($_SERVER['PHP_SELF'], 'payok.php' ) !== false) { $urlpage='Выполнение заказа'; }
if (strpos($_SERVER['PHP_SELF'], 'payfail.php' ) !== false) { $urlpage='Отмена заказа'; }
if (strpos($_SERVER['PHP_SELF'], 'adv_packet.php' ) !== false) { $urlpage='Заказ пакетов рекламы'; }
if (strpos($_SERVER['PHP_SELF'], 'userstoday.php' ) !== false) { $urlpage='Новые пользователи'; }
if (strpos($_SERVER['PHP_SELF'], 'moneyforklik.php.php' ) !== false) { $urlpage='Повышение цены кликов'; }
if (strpos($_SERVER['PHP_SELF'], 'plagin.php' ) !== false) { $urlpage='Продажа плагинов'; }
if (strpos($_SERVER['PHP_SELF'], 'reyting.php' ) !== false) { $urlpage='Рейтинг пользователей'; }
if (strpos($_SERVER['PHP_SELF'], 'buyrefs.php' ) !== false) { $urlpage='Системная биржа рефералов'; }
if (strpos($_SERVER['PHP_SELF'], 'lottery.php' ) !== false) { $urlpage='Лотерея'; }
if (strpos($_SERVER['PHP_SELF'], 'wmlogin.php' ) !== false) { $urlpage='Входит через WM кипер'; }
if (strpos($_SERVER['PHP_SELF'], 'spisok_avd.php' ) !== false) { $urlpage='Список Рекламодателей'; }
if (strpos($_SERVER['PHP_SELF'], 'liders.php' ) !== false) { $urlpage='Лидеры проекта'; }
if (strpos($_SERVER['PHP_SELF'], 'obmen.php' ) !== false) { $urlpage='Обмен Валют'; }
if (strpos($_SERVER['PHP_SELF'], 'task.php' ) !== false) { $urlpage='Задания'; $men_act[17] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'questions.php' ) !== false) { $urlpage='Платные вопросы'; $men_act[19] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'downloads.php' ) !== false) { $urlpage='Платные скачивания'; $men_act[18] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'allstat.php' ) !== false) { $urlpage='10 самых активных пользывателей';}
if (strpos($_SERVER['PHP_SELF'], 'competition.php' ) !== false) { $urlpage='Бонусы - Акции'; $men_act[6] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'members.php' ) !== false) { $urlpage='Страница аккаунта'; $men_act[3] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'news.php' ) !== false) { $urlpage='Новости'; $men_act[5] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'response.php' ) !== false) { $urlpage='Отзывы о сайте'; }
if (strpos($_SERVER['PHP_SELF'], 'advertise.php' ) !== false) { $urlpage='Заказ рекламы за WM'; $men_act[4] = "class='active'"; $men_act[10] = "acte";}
if (strpos($_SERVER['PHP_SELF'], 'tos.php' ) !== false) { $urlpage='Правила'; }
if (strpos($_SERVER['PHP_SELF'], 'loginform.php' ) !== false) { $urlpage='Вход в Аккаунт'; }
if (strpos($_SERVER['PHP_SELF'], 'loginform1' ) !== false) { $urlpage='Вход в Аккаунт'; }
if (strpos($_SERVER['PHP_SELF'], 'k-n-b.php' ) !== false) { $urlpage='К-Н-Б'; }
if (strpos($_SERVER['PHP_SELF'], 'mail.php' ) !== false) { $urlpage='Сообщения'; }
if (strpos($_SERVER['PHP_SELF'], 'info_ball.php' ) !== false) { $urlpage='История рейтинга'; $men_act[29] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'faq.php' ) !== false) { $urlpage='FAQ'; }
if (strpos($_SERVER['PHP_SELF'], 'vuplat.php' ) !== false) { $urlpage='Заказ выплаты'; }
if (strpos($_SERVER['PHP_SELF'], 'zakazfup.php' ) !== false) { $urlpage='Клики по блокам'; }
if (strpos($_SERVER['PHP_SELF'], 'obnuleniebalansa.php' ) !== false) { $urlpage='Обнуление Баланса'; }
if (strpos($_SERVER['PHP_SELF'], 'surprize.php' ) !== false) { $urlpage='Антикликерская Ссылка'; }
if (strpos($_SERVER['PHP_SELF'], 'pozor.php' ) !== false) { $urlpage='Наши автокликеры'; }
if (strpos($_SERVER['PHP_SELF'], 'loter.php' ) !== false) { $urlpage='Лотерея 5 билетов'; }
if (strpos($_SERVER['PHP_SELF'], 'people_chat.php' ) !== false) { $urlpage='Чат'; }
if (strpos($_SERVER['PHP_SELF'], 'opros_sites.php' ) !== false) { $urlpage='Опрос Пользователей'; }
if (strpos($_SERVER['PHP_SELF'], 'bux.php' ) !== false) { $urlpage='Плагины для SoooFast'; }
if (strpos($_SERVER['PHP_SELF'], 'buxplagin.php' ) !== false) { $urlpage='Плагины для Ultimatex'; }
if (strpos($_SERVER['PHP_SELF'], 'bux2.php' ) !== false) { $urlpage='Плагины для SoooFast 2'; }
if (strpos($_SERVER['PHP_SELF'], 'buxskript.php' ) !== false) { $urlpage='Программы и скрипты'; }
if (strpos($_SERVER['PHP_SELF'], 'convert.php' ) !== false) { $urlpage='Вывод средств'; $men_act[12] = "acte";}
if (strpos($_SERVER['PHP_SELF'], 'moneyforadv.php' ) !== false) { $urlpage='Конвертация в рекламу'; }
if (strpos($_SERVER['PHP_SELF'], 'buyref.php' ) !== false) { $urlpage='Покупка рефералов'; }
if (strpos($_SERVER['PHP_SELF'], 'catalog.php' ) !== false) { $urlpage='Каталог ссылок'; }
if (strpos($_SERVER['PHP_SELF'], 'profile.php' ) !== false) { $urlpage='Страница профиля'; $men_act[31] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], '80dney.php' ) !== false) { $urlpage='Вокруг Света за 80 дней'; }
if (strpos($_SERVER['PHP_SELF'], 'history.php' ) !== false) { $urlpage='История выплат'; $men_act[30] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'upgrade.php' ) !== false) { $urlpage='Покупка V.I.P. аккаунта'; }
if (strpos($_SERVER['PHP_SELF'], 'referals.php' ) !== false) { $urlpage='Список рефералов'; $men_act[23] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'login.php' ) !== false) { $urlpage='Вход в аккаунт'; }
if (strpos($_SERVER['PHP_SELF'], 'opros_sites.php' ) !== false) { $urlpage='Опрос пользователей'; }
if (strpos($_SERVER['PHP_SELF'], 'taskok.php' ) !== false) { $urlpage='Список Выполненых Заданий'; }
if (strpos($_SERVER['PHP_SELF'], 'register.php' ) !== false) { $urlpage='Регистрация'; $men_act[2] = "class='active'";}
if (strpos($_SERVER['PHP_SELF'], 'online.php' ) !== false) { $urlpage='Список онлайн'; }
if (strpos($_SERVER['PHP_SELF'], 'taskadd.php' ) !== false) { $urlpage='Создание нового Задания'; }
if (strpos($_SERVER['PHP_SELF'], 'taskcheck.php' ) !== false) { $urlpage='Проверка Выполнений Задания'; }
if (strpos($_SERVER['PHP_SELF'], 'security.php' ) !== false) { $urlpage='Защита Аккаунта'; $men_act[28] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'payreq.php' ) !== false) { $urlpage='Задания'; }
if (strpos($_SERVER['PHP_SELF'], 'mails.php' ) !== false) { $urlpage='Платные письма'; }
if (strpos($_SERVER['PHP_SELF'], 'tasklist.php' ) !== false) { $urlpage='Задания'; }
if (strpos($_SERVER['PHP_SELF'], 'addtextads.php' ) !== false) { $urlpage='Размещение текстового обьявления'; }
if (strpos($_SERVER['PHP_SELF'], 'addtoblock.php' ) !== false) { $urlpage='Размещение платной рекламы'; }
if (strpos($_SERVER['PHP_SELF'], 'refbuck.php' ) !== false) { $urlpage='Реф.Бек рефералам'; $men_act[24] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'mailnew.php' ) !== false) { $urlpage='Новое сообщение'; }
if (strpos($_SERVER['PHP_SELF'], 'loginform.php' ) !== false) { $urlpage='Вход в систему'; $men_act[39] = "class='active'"; }
if (strpos($_SERVER['PHP_SELF'], 'refbirj.php' ) !== false) { $urlpage='Биржа Рефералов'; $men_act[22] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'reflinks.php' ) !== false) { $urlpage='Рекламные Материалы'; $men_act[20] = "acte"; $men_act[38] = "class='active'"; }
if (strpos($_SERVER['PHP_SELF'], 'moneytoacc.php' ) !== false) { $urlpage='Пополнение счета'; $men_act[14] = "acte"; }
if (strpos($_SERVER['PHP_SELF'], 'competition.php' ) !== false) { $urlpage='Конкурсы- Акции'; }
if (strpos($_SERVER['PHP_SELF'], 'waitpay.php' ) !== false) { $urlpage='Список ожидающих выплаты'; }

$uo_sessionTime = 1;

error_reporting(E_ERROR | E_PARSE);

$uo_ip = getrealip();
$uo_query = "DELETE FROM users_online WHERE unix_timestamp() - lastvisit >= $uo_sessionTime * 60";
mysql_query($uo_query);
$uo_query = "SELECT lastvisit FROM users_online WHERE visitor = '$uo_ip'";
$uo_result = mysql_query($uo_query);
if(mysql_num_rows($uo_result) == 0) {
	$uo_query = "INSERT INTO users_online (visitor,lastvisit,user,urlpage) VALUES('$uo_ip', unix_timestamp(), '$nameus', '$urlpage')";
	mysql_query($uo_query);
} else {
	$uo_query = "UPDATE users_online SET lastvisit = unix_timestamp(), urlpage='$urlpage', user='$nameus' WHERE visitor = '$uo_ip'";
	mysql_query($uo_query);
}

if($uo_keepquiet  == FALSE) {
	$uo_query = "SELECT count(*) FROM users_online";
	$uo_result = mysql_query($uo_query);
	$uo_count = mysql_fetch_row($uo_result);

	$user_onli = $uo_count[0];
}

?>